<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:35:12 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
BasicHttpEntityEnclosingRequest (HttpCore 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BasicHttpEntityEnclosingRequest (HttpCore 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicHttpEntityEnclosingRequest.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html" title="class in org.apache.http.message"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/message/BasicHttpEntityEnclosingRequest.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicHttpEntityEnclosingRequest.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.message</FONT>
<BR>
Class BasicHttpEntityEnclosingRequest</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">org.apache.http.message.AbstractHttpMessage</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message">org.apache.http.message.BasicHttpRequest</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.message.BasicHttpEntityEnclosingRequest</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A>, <A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A>, <A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>BasicHttpEntityEnclosingRequest</B><DT>extends <A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message">BasicHttpRequest</A><DT>implements <A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A></DL>
</PRE>

<P>
Basic implementation of <A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http"><CODE>HttpEntityEnclosingRequest</CODE></A>.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.message.<A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">AbstractHttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headergroup">headergroup</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#params">params</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#BasicHttpEntityEnclosingRequest(org.apache.http.RequestLine)">BasicHttpEntityEnclosingRequest</A></B>(<A HREF="../../../../org/apache/http/RequestLine.html" title="interface in org.apache.http">RequestLine</A>&nbsp;requestline)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#BasicHttpEntityEnclosingRequest(java.lang.String, java.lang.String)">BasicHttpEntityEnclosingRequest</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;method,
                                <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#BasicHttpEntityEnclosingRequest(java.lang.String, java.lang.String, org.apache.http.ProtocolVersion)">BasicHttpEntityEnclosingRequest</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;method,
                                <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;uri,
                                <A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#expectContinue()">expectContinue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tells if this request should use the expect-continue handshake.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#getEntity()">getEntity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the entity associated with this request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html#setEntity(org.apache.http.HttpEntity)">setEntity</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Associates the entity with this request.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.message.BasicHttpRequest"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.message.<A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message">BasicHttpRequest</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/message/BasicHttpRequest.html#getProtocolVersion()">getProtocolVersion</A>, <A HREF="../../../../org/apache/http/message/BasicHttpRequest.html#getRequestLine()">getRequestLine</A>, <A HREF="../../../../org/apache/http/message/BasicHttpRequest.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.message.AbstractHttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.message.<A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html" title="class in org.apache.http.message">AbstractHttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#addHeader(org.apache.http.Header)">addHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#addHeader(java.lang.String, java.lang.String)">addHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#containsHeader(java.lang.String)">containsHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getAllHeaders()">getAllHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getFirstHeader(java.lang.String)">getFirstHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getHeaders(java.lang.String)">getHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getLastHeader(java.lang.String)">getLastHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#getParams()">getParams</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headerIterator()">headerIterator</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#headerIterator(java.lang.String)">headerIterator</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#removeHeader(org.apache.http.Header)">removeHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#removeHeaders(java.lang.String)">removeHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeader(org.apache.http.Header)">setHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeader(java.lang.String, java.lang.String)">setHeader</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setHeaders(org.apache.http.Header[])">setHeaders</A>, <A HREF="../../../../org/apache/http/message/AbstractHttpMessage.html#setParams(org.apache.http.params.HttpParams)">setParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpRequest"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/HttpRequest.html#getRequestLine()">getRequestLine</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpMessage"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/HttpMessage.html#addHeader(org.apache.http.Header)">addHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#addHeader(java.lang.String, java.lang.String)">addHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#containsHeader(java.lang.String)">containsHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getAllHeaders()">getAllHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getFirstHeader(java.lang.String)">getFirstHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getHeaders(java.lang.String)">getHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getLastHeader(java.lang.String)">getLastHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getParams()">getParams</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#getProtocolVersion()">getProtocolVersion</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#headerIterator()">headerIterator</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#headerIterator(java.lang.String)">headerIterator</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#removeHeader(org.apache.http.Header)">removeHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#removeHeaders(java.lang.String)">removeHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeader(org.apache.http.Header)">setHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeader(java.lang.String, java.lang.String)">setHeader</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setHeaders(org.apache.http.Header[])">setHeaders</A>, <A HREF="../../../../org/apache/http/HttpMessage.html#setParams(org.apache.http.params.HttpParams)">setParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BasicHttpEntityEnclosingRequest(java.lang.String, java.lang.String)"><!-- --></A><H3>
BasicHttpEntityEnclosingRequest</H3>
<PRE>
public <B>BasicHttpEntityEnclosingRequest</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;method,
                                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;uri)</PRE>
<DL>
</DL>
<HR>

<A NAME="BasicHttpEntityEnclosingRequest(java.lang.String, java.lang.String, org.apache.http.ProtocolVersion)"><!-- --></A><H3>
BasicHttpEntityEnclosingRequest</H3>
<PRE>
public <B>BasicHttpEntityEnclosingRequest</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;method,
                                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;uri,
                                       <A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A>&nbsp;ver)</PRE>
<DL>
</DL>
<HR>

<A NAME="BasicHttpEntityEnclosingRequest(org.apache.http.RequestLine)"><!-- --></A><H3>
BasicHttpEntityEnclosingRequest</H3>
<PRE>
public <B>BasicHttpEntityEnclosingRequest</B>(<A HREF="../../../../org/apache/http/RequestLine.html" title="interface in org.apache.http">RequestLine</A>&nbsp;requestline)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getEntity()"><!-- --></A><H3>
getEntity</H3>
<PRE>
public <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A> <B>getEntity</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#getEntity()">HttpEntityEnclosingRequest</A></CODE></B></DD>
<DD>Returns the entity associated with this request.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#getEntity()">getEntity</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>entity</DL>
</DD>
</DL>
<HR>

<A NAME="setEntity(org.apache.http.HttpEntity)"><!-- --></A><H3>
setEntity</H3>
<PRE>
public void <B>setEntity</B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#setEntity(org.apache.http.HttpEntity)">HttpEntityEnclosingRequest</A></CODE></B></DD>
<DD>Associates the entity with this request.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#setEntity(org.apache.http.HttpEntity)">setEntity</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>entity</CODE> - the entity to send.</DL>
</DD>
</DL>
<HR>

<A NAME="expectContinue()"><!-- --></A><H3>
expectContinue</H3>
<PRE>
public boolean <B>expectContinue</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#expectContinue()">HttpEntityEnclosingRequest</A></CODE></B></DD>
<DD>Tells if this request should use the expect-continue handshake.
 The expect continue handshake gives the server a chance to decide
 whether to accept the entity enclosing request before the possibly
 lengthy entity is sent across the wire.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html#expectContinue()">expectContinue</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if the expect continue handshake should be used, false if
 not.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicHttpEntityEnclosingRequest.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html" title="class in org.apache.http.message"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/message/BasicHttpRequest.html" title="class in org.apache.http.message"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/message/BasicHttpEntityEnclosingRequest.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicHttpEntityEnclosingRequest.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.message.AbstractHttpMessage">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
